# PhasicFlow: stationary Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

stationary Class Reference

stationary model for a wall More...

## Public Member Functions

| TypeInfoNV ("stationary")
FUNCTION_HD | stationary ()=default
FUNCTION_H | stationary (const dictionary &dict)
FUNCTION_HD | stationary (const stationary &)=default
stationary & | operator= (const stationary &)=default
INLINE_FUNCTION_HD void | setTime (real t)
INLINE_FUNCTION_HD realx3 | linVelocityPoint (const realx3 &) const
INLINE_FUNCTION_HD realx3 | transferPoint (const realx3 &p, real) const
FUNCTION_H bool | read (const dictionary &dict)
FUNCTION_H bool | write (dictionary &dict) const
FUNCTION_H bool | read (iIstream &is)
FUNCTION_H bool | write (iOstream &os) const

## Detailed Description

stationary model for a wall

Definition at line 40 of file stationary.hpp.

## Constructor & Destructor Documentation

## stationary() [1/3]

FUNCTION_HD stationary | ( |  | ) |

default

## stationary() [2/3]

FUNCTION_H stationary | ( | const dictionary & | dict | ) |

explicit

Definition at line 26 of file stationary.cpp.

## stationary() [3/3]

FUNCTION_HD stationary | ( | const stationary & |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "stationary" |  | ) |

## operator=()

stationary& operator= | ( | const stationary & |  | ) |

default

## setTime()

INLINE_FUNCTION_HD void setTime | ( | real | t | ) |

inline

Definition at line 59 of file stationary.hpp.

## linVelocityPoint()

INLINE_FUNCTION_HD realx3 linVelocityPoint | ( | const realx3 & |  | ) | const

inline

Definition at line 63 of file stationary.hpp.

## transferPoint()

INLINE_FUNCTION_HD realx3 transferPoint | ( | const realx3 & | p,
|  | real |
| ) |  | const

inline

Definition at line 69 of file stationary.hpp.

## read() [1/2]

FUNCTION_H bool read | ( | const dictionary & | dict | ) |

Definition at line 33 of file stationary.cpp.

## write() [1/2]

FUNCTION_H bool write | ( | dictionary & | dict | ) | const

Definition at line 39 of file stationary.cpp.

## read() [2/2]

FUNCTION_H bool read | ( | iIstream & | is | ) |

Definition at line 46 of file stationary.cpp.

References notImplementedFunction.

## write() [2/2]

FUNCTION_H bool write | ( | iOstream & | os | ) | const

Definition at line 54 of file stationary.cpp.

The documentation for this class was generated from the following files:

- src/MotionModel/entities/stationary/stationary.hpp
- src/MotionModel/entities/stationary/stationary.cpp